Subject: Re: iCalendar - "octets" question

From: Doug Royer <[email-masked]>
Date: Sat, 01 Dec 2001 01:35:32 -0700

John Stracke wrote:
> 
> >If you don't know the charset, you can't always tell how to put it
> >back together.
> 
> You're right.  The problem I didn't see before is that, in a 2-byte
> character set, you might have the characters 0D0A 2041, which, to
> something built for ASCII, would look like CR LF SP A; the CR LF SP would
> then get dropped.
> 
> I think this complicates the story for senders; they need to split lines
> at the 75-octet mark, but the code that splits the lines only sees
> characters, not octets.  You said that splitting lines was only for
> presentation (does anybody disagree?); if so, we can change "75 octets" to
> "75 characters".
> 
> Make sense?

I think that 2445 says it right.  Split BETWEEN characters always so
that the line is not  longer than 72 octets.

---

From: "John Stracke" <[email-masked]>
Date: Tue, 4 Dec 2001 09:35:37 -0500

>> Why? Characters (human legibility) are what matter for presentation, 
not
>> octets.
>
>For iMIP and sending  via email.

?? Isn't that what quoted-printable is for? (RFC-2045, sec. 6.7) I mean, 
we're not going to be sending a text/calendar to anybody who doesn't grok 
MIME; and MIME MUAs are required to decode quoted-printable (RFC-2049, 
sec. 2, point (2)).

/=======================================================\
|John Stracke                   |Principal Engineer     |
[email-masked]  |Incentive Systems, Inc.|
|http://www.incentivesystems.com|My opinions are my own.|
|=======================================================|
|Do not suspect that I am not human.                    |
\=======================================================/